using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MyCSharpProject
{
    [Serializable]
    public class Player
    {

        //public MyPlayerControl playerControls { get; set; }
        MyPlayerControl playerControls;
        public List<ComboBox> mycomboxes { get; set; }
        


        public Player(MyPlayerControl pc)
        {
            playerControls = pc;
            mycomboxes = new List<ComboBox>();
            
            mycomboxes.Add(playerControls.comboBox1);
            mycomboxes.Add(playerControls.comboBox2);
            mycomboxes.Add(playerControls.comboBox3);
            mycomboxes.Add(playerControls.comboBox4);
            
            
            
        }

        /// <summary>
        /// PROPERTY FOR THE NAME OF THE PLAYERCONTROL
        /// </summary>
        public string Name
        {
            get { return playerControls.Text; }
            set {playerControls.Text = value;}

        }

        
        /// <summary>
        /// HIDES THE PLAYERCONTROL IF IT IS NOT USED (LESS THAN 4 PLAYERS SELECTED):
        /// </summary>
        public void Hide()
        {
            playerControls.Visible = false;

        }

        /// <summary>
        /// SHOWS USED PLAYERCONTROLS:
        /// </summary>
        public void Show()
        {
            playerControls.Visible = true;
        }

        

    }
}
